## org.apache.axis.transport.http
Class ChunkedOutputStream

    java.lang.Object
      java.io.OutputStream
          java.io.FilterOutputStream
              org.apache.axis.transport.http.ChunkedOutputStream

public class ChunkedOutputStream
extends java.io.FilterOutputStream

Author:
  Rick Rineholt

Field Summary

Fields inherited from class java.io.FilterOutputStream
`out`

Constructor Summary
`ChunkedOutputStream(java.io.OutputStream os)`

Method Summary
`void` `close()`
`void` `eos()`
`void` `write(byte[] b)`
`void` `write(byte[] b, int off, int len)`
`void` `write(int b)`

Methods inherited from class java.io.FilterOutputStream
`flush`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ChunkedOutputStream

    public ChunkedOutputStream(java.io.OutputStream os)

Method Detail

### write

    public void write(int b)
               throws java.io.IOException

  Throws:
    `java.io.IOException`

### write

    public void write(byte[] b)
               throws java.io.IOException

  Throws:
    `java.io.IOException`

### write

    public void write(byte[] b,
                      int off,
                      int len)
               throws java.io.IOException

  Throws:
    `java.io.IOException`

### eos

    public void eos()
             throws java.io.IOException

  Throws:
    `java.io.IOException`

### close

    public void close()
               throws java.io.IOException

  Throws:
    `java.io.IOException`

Copyright © 2005 Apache Web Services Project. All Rights Reserved.